> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/transactional/api/rejects/list-sms/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # List SMS denylist POST https://mandrillapp.com/api/1.4/rejects/list-sms Content-Type: application/json Retrieves your SMS rejection denylist. You can provide a phone number to limit the results. Returns up to 1000 results. By default, entries that have expired are excluded from the results; set include_expired to true to include them. Reference: https://mailchimp.com/developer/transactional/api/rejects/list-sms ## Request ### Body (application/json) This endpoint expects a RejectsListSmsRequest. - `key` (string, required) — A valid Mandrill API key - `phone` (string, optional) — An optional phone number to search by in E.164 format - `include_expired` (boolean, optional) — Whether to include rejections that have already expired - `subaccount` (string, optional) — An optional unique identifier for the subaccount to limit the denylist ## Response ### 200 Success - `list of RejectsListSmsResponseItems` ## Errors ### 401 Unauthorized Error Invalid or missing API key. - `status` (string, required) — Status of the response, typically "error" - `code` (enum, required) — Numeric error code - Allowed values: `401` - `name` (enum, required) — Machine-friendly error name - Allowed values: `Invalid_Key` - `message` (string, required) — Human-readable error message ### 422 Unprocessable Entity Error One or more request parameters failed validation. - `status` (string, required) — Status of the response, typically "error" - `code` (integer, required) — Numeric error code - `name` (enum, required) — Machine-friendly error name - Allowed values: `ValidationError` - `message` (string, required) — Human-readable error message ### 429 Too Many Requests Error Request rate limit exceeded. Retry after a brief delay. - `status` (string, required) — Status of the response, typically "error" - `code` (enum, required) — Numeric error code - Allowed values: `429` - `name` (enum, required) — Machine-friendly error name - Allowed values: `RequestLimitExceeded` - `message` (string, required) — Human-readable error message ### 500 Internal Server Error An unexpected internal server error occurred. - `status` (string, required) — Status of the response, typically "error" - `code` (integer, required) — Numeric error code - `name` (string, required) — Machine-friendly error name - `message` (string, required) — Human-readable error message ## Types ### RejectsListSmsResponseItems - `phone` (string, required) — The phone number on the denylist - `created_at` (string, required) — The date and time that the entry was created - `expired` (boolean, required) — Whether the entry has expired - `expires_at` (string, optional, nullable) — The date and time that the entry expires - `subaccount` (string, optional, nullable) — The subaccount that the entry belongs to ## Examples **Request** ```json { "key": "ONzNrsmbtNXoIKyfPmjnig", "phone": "+12025551234", "include_expired": false, "subaccount": "cust-123" } ``` **Response** ```json [ { "phone": "+12025551234", "created_at": "2023-01-15 10:30:00", "expired": false, "expires_at": null, "subaccount": null } ] ``` **SDK Code** ```python import requests url = "https://mandrillapp.com/api/1.4/rejects/list-sms" payload = { "key": "ONzNrsmbtNXoIKyfPmjnig", "phone": "+12025551234", "include_expired": False, "subaccount": "cust-123" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://mandrillapp.com/api/1.4/rejects/list-sms'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"key":"ONzNrsmbtNXoIKyfPmjnig","phone":"+12025551234","include_expired":false,"subaccount":"cust-123"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://mandrillapp.com/api/1.4/rejects/list-sms" payload := strings.NewReader("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"phone\": \"+12025551234\",\n \"include_expired\": false,\n \"subaccount\": \"cust-123\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://mandrillapp.com/api/1.4/rejects/list-sms") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"phone\": \"+12025551234\",\n \"include_expired\": false,\n \"subaccount\": \"cust-123\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://mandrillapp.com/api/1.4/rejects/list-sms") .header("Content-Type", "application/json") .body("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"phone\": \"+12025551234\",\n \"include_expired\": false,\n \"subaccount\": \"cust-123\"\n}") .asString(); ``` ```php request('POST', 'https://mandrillapp.com/api/1.4/rejects/list-sms', [ 'body' => '{ "key": "ONzNrsmbtNXoIKyfPmjnig", "phone": "+12025551234", "include_expired": false, "subaccount": "cust-123" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://mandrillapp.com/api/1.4/rejects/list-sms"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"phone\": \"+12025551234\",\n \"include_expired\": false,\n \"subaccount\": \"cust-123\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "key": "ONzNrsmbtNXoIKyfPmjnig", "phone": "+12025551234", "include_expired": false, "subaccount": "cust-123" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://mandrillapp.com/api/1.4/rejects/list-sms")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.